Bug 24890 - $GENERATE broken in versions up to 9.1.0
$GENERATE broken in versions up to 9.1.0
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-24 17:56 EST by Daniel Roesen
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-24 17:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for fixing $GENERATE bugs in bind 9.1.0 (766 bytes, patch)
2001-01-24 17:57 EST, Daniel Roesen
no flags Details | Diff

  None (edit)
Description Daniel Roesen 2001-01-24 17:56:26 EST
$GENERATE is broken in two respects:

- a range like "a-b" results in RRs generated only from "a" to "b-1".
  The last RR is not generated

- there is a bug in the range checking which ensures that "a" is smaller
  than or equal to "b"

I did a patch which fixes both bugs and submitted the patch to ISC which
confirmed that they applied the fixes. Up to now there is no new version of
bind9 out, so I'll attach the patch to this bugzilla report for inclusion
in the RH RPM. Can be thrown out when the next ISC version is released, but
that is most probably too late for the public beta.
Comment 1 Daniel Roesen 2001-01-24 17:57:20 EST
Created attachment 8170 [details]
Patch for fixing $GENERATE bugs in bind 9.1.0
Comment 2 Bernhard Rosenkraenzer 2001-01-24 18:18:12 EST
Fixed... I hope it can still get into the beta.
Comment 3 Daniel Roesen 2001-01-27 00:14:15 EST
it did. *relief*


Note You need to log in before you can comment on or make changes to this bug.